summaryrefslogtreecommitdiff
path: root/dev-python/humanize
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-10-01 05:06:04 +0000
committerLiguros - Gitlab CI/CD [feature/flatten] <gitlab@liguros.net>2020-10-01 05:06:04 +0000
commite19e9186aeb7a4ee5eabeffc8b00e019058848e4 (patch)
tree56478a52fbdce61df0dc4465a69417eb620d4ba1 /dev-python/humanize
parentf19bb2429ee8ec397da6a3947d2aefb17a0dc1d7 (diff)
downloadbaldeagleos-repo-e19e9186aeb7a4ee5eabeffc8b00e019058848e4.tar.gz
baldeagleos-repo-e19e9186aeb7a4ee5eabeffc8b00e019058848e4.tar.xz
baldeagleos-repo-e19e9186aeb7a4ee5eabeffc8b00e019058848e4.zip
Updating liguros repo
Diffstat (limited to 'dev-python/humanize')
-rw-r--r--dev-python/humanize/Manifest1
-rw-r--r--dev-python/humanize/humanize-3.0.0.ebuild30
2 files changed, 31 insertions, 0 deletions
diff --git a/dev-python/humanize/Manifest b/dev-python/humanize/Manifest
index deb145f01f9d..2645843bb497 100644
--- a/dev-python/humanize/Manifest
+++ b/dev-python/humanize/Manifest
@@ -1 +1,2 @@
DIST humanize-2.6.0.tar.gz 53753 BLAKE2B 7908100cde103846554264df887ddb54223900cdbf1e52b2a19f029084b2997ab7a02e275f437d0cc04c3c42d6f8c371fbdab23468cdeb8f98a8cd6a64c1c288 SHA512 d1e57672c80ccabc48dadb2bafe65ac0b5b23de13907d7d51a06b6a1f2f01ef254e36afa203c9393420ad3bb5aaa22616a0d5c4c71cc53cf47727436be0b1599
+DIST humanize-3.0.0.tar.gz 53458 BLAKE2B c75ddbeed88aaef0019b50691576e6c8dd8ffdbf0ed1f1d1221c40ebfbaa502176f2db463afea3c8384f1b9acea7daaeca1e81f72919dbe2c476ff9d95db166b SHA512 8d566b4fba6b1f7f025e30d5d0402cb7ef7bf4881fb14608b011474d3e6991a0a058d444ccfdbb796205d959c2c4192e0eb98c6c15c31ba9e304f39a7cf8d025
diff --git a/dev-python/humanize/humanize-3.0.0.ebuild b/dev-python/humanize/humanize-3.0.0.ebuild
new file mode 100644
index 000000000000..1c29a015de25
--- /dev/null
+++ b/dev-python/humanize/humanize-3.0.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7,8,9} pypy3 )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="Common humanization utilities"
+HOMEPAGE="https://github.com/jmoiron/humanize/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+BDEPEND="
+ dev-python/setuptools_scm[${PYTHON_USEDEP}]
+ test? ( dev-python/freezegun[${PYTHON_USEDEP}] )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ # The package uses pkg_resources to determine its version
+ distutils_install_for_testing
+ pytest -vv || die "Tests fail with ${EPYTHON}"
+}